<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>指定一个元素显示在视窗</title>
    <style>
        html{
            height: 2000px;
        }
        .box{
            height: 100px;
            width: 200px;
            background:red;
        }
    </style>
</head>
<body>
    <div style="height: 100px">
        <button id="btn">点击</button>
    </div>
    <div class="box">
           
    </div>
</body>
<script>
    window.onload=function(){
        var btn=document.getElementById('btn');
        btn.addEventListener('click',function(e){
            // 获取元素的offsetTop(元素距离文档顶部的距离)
            let offsetTop = document.querySelector(".box").offsetTop;
            // 设置滚动条的高度
            window.scrollTo(0, offsetTop);
        })
    }
</script>
</html>